import { ComponentMeta } from '@storybook/react';
import { ComponentProps } from 'react';
import DarkModeProps from '../DarkModeProps';
import { StoryArgType } from './storybookArgTypes';
interface LeafyGreenProviderProps extends DarkModeProps {
    baseFontSize?: number;
}
export interface StoryMetaType<T extends React.ElementType, XP extends Record<string, any> = {}> extends Omit<ComponentMeta<T>, 'component' | 'argTypes' | 'args'> {
    parameters: ComponentMeta<T>['parameters'] & {
        /**
         * The default story to be displayed on `mongodb.design`
         */
        default: string;
    };
    argTypes?: Partial<{
        [key in keyof ComponentProps<T>]: StoryArgType;
    } | {
        [key in keyof LeafyGreenProviderProps]: StoryArgType;
    } | {
        [key in keyof XP]: StoryArgType;
    }>;
    args?: Partial<ComponentProps<T> | LeafyGreenProviderProps | XP>;
    component?: T;
}
export declare const baseMeta: Partial<StoryMetaType<any>>;
export declare const StoryMeta: <T extends import("react").ElementType<any>, XP extends Record<string, any>>(meta?: StoryMetaType<T, XP>) => StoryMetaType<T, XP>;
export {};
//# sourceMappingURL=StoryMeta.d.ts.map