/// <reference types="react" />
import { InputType } from '@storybook/csf';
export interface StoryArgType extends InputType {
    /**
     * Identify an arg to determine where the control is defined
     */
    displayedPlatforms?: 'storybookOnly' | 'websiteOnly';
}
export declare const storybookArgTypes: {
    readonly baseFontSize: {
        readonly description: "The base font size passed to the LeafyGreenProvider that wraps the component";
        readonly control: {
            readonly type: "radio";
        };
        readonly options: readonly [14, 16];
    };
    readonly updatedBaseFontSize: {
        readonly description: "The base font size passed to the LeafyGreenProvider that wraps the component. Uses the updated font size values for Euclid Circular A.";
        readonly control: {
            readonly type: "radio";
        };
        readonly options: readonly [13, 16];
    };
    readonly darkMode: {
        readonly description: "Render the component in dark mode.";
        readonly control: "boolean";
    };
    readonly children: {
        readonly description: "Element rendered inside the component";
        readonly control: "text";
    };
    readonly as: {
        readonly description: "The component will be rendered in HTML as the element selected here";
        readonly options: (keyof JSX.IntrinsicElements)[];
        readonly type: {
            readonly name: "string";
        };
        readonly control: {
            readonly type: "select";
        };
        readonly defaultValue: "button";
    };
};
//# sourceMappingURL=storybookArgTypes.d.ts.map